// +-
// |    Mnenhy - MailNews-Enhancer
// |
// |    Written, forged, copied and conceived by Karsten Duesterloh <mnenhy@tprac.de>
// +-

var sAppName    = "Mnenhy - MailNews-Enhancer -";
var sChromeName = "mnenhy";
var sVersion    = "0.2.0.4";
var sJAR        = "mnenhy.jar";
var sRDF        = "mnenhy.rdf";
var sContent    = "content/"+sChromeName+"/";
var sLocale     = "locale/";
var sLocaleENUS = sLocale+"en-US/"+sChromeName+"/";
var sLocaleDEDE = sLocale+"de-DE/"+sChromeName+"/";
var sLocaleDEAT = sLocale+"de-AT/"+sChromeName+"/";

var err = initInstall(sAppName, sChromeName, sVersion);
if (err >= SUCCESS)
{
  addFile(sAppName, sJAR, getFolder("Chrome"                      ), "");
  addFile(sAppName, sRDF, getFolder("Program", "defaults/profile/"), "");

  registerChrome(CONTENT | DELAYED_CHROME, getFolder("Chrome", sJAR), sContent);
  registerChrome(LOCALE  | DELAYED_CHROME, getFolder("Chrome", sJAR), sLocaleENUS);
  registerChrome(LOCALE  | DELAYED_CHROME, getFolder("Chrome", sJAR), sLocaleDEDE);
  registerChrome(LOCALE  | DELAYED_CHROME, getFolder("Chrome", sJAR), sLocaleDEAT);

  err = performInstall();
}

if (err >= SUCCESS)
{
  alert(sAppName+" (v"+sVersion+") has been successfully installed.\n"
          + "You must restart Mozilla to complete the installation!\n"
          + "Please report any bugs to <mnenhy@tprac.de>.\n\n\n" +
        sAppName+" (v"+sVersion+") wurde erfolgreich installiert.\n"
          + "Zur vollst\u00E4ndigen Aktivierung mu\u00DF Mozilla neu gestartet werden!\n"
          + "Bitte alle Fehler an <mnenhy@tprac.de> melden."
       );
}
else
{
  alert("Installation of "+sAppName+" (v"+sVersion+") failed!\n"
          + "(No write permission to the mozilla/chrome directory?)\n\n\n" +
        "Installation von "+sAppName+" (v"+sVersion+") fehlgeschlagen!\n"
          + "(Fehlende Schreibrechte f\u00FCr Verzeichnis mozilla/chrome?)"
       );
  cancelInstall(err);
}